# coding: utf-8
import bpy
import os
from os import listdir
from os.path import join, dirname, basename, exists, isfile, isdir, splitext
import re, fnmatch, glob
from mathutils import Vector, Matrix
from math import radians, degrees
C = bpy.context
D = bpy.data
scene = C.scene

print('====')
def more_sss(val=0.04):
    for mat in D.materials:
        if not mat.use_nodes:continue
        nodes = mat.node_tree
        if not nodes: continue
        nodes = nodes.nodes
        
        for n in nodes:
            if n.type == 'GROUP':
                sss = n.inputs.get('Subsurface')
                if not sss: continue
                #print(f'{mat.name} : {sss.default_value}')
                current = sss.default_value
                new = current + val
                print(f'{mat.name} : {current} >> {new}')
                sss.default_value = new


value = 0.06
for i in range(0, 8):
    scene.render.filepath = join(dirname(D.filepath), f'{splitext(basename(D.filepath))[0]}-{scene.frame_current}_sss_plus_0.{str(i*6).zfill(2)}')
    bpy.ops.render.render(animation=False, write_still=True)
    more_sss(value)

