info = {
    'icon' : 'LIBRARY_DATA_BROKEN',
    'description' : 'Correct path (print in console, apply as option) when weirdly auto added unwanted parent directory (still break rotate order for armatures...)',
    'apply' : False
}

import bpy
import os
from os import listdir
from os.path import join, dirname, basename, exists, isfile, isdir, splitext, abspath
import re, fnmatch, glob
from mathutils import Vector, Matrix
from math import radians, degrees
C = bpy.context
D = bpy.data
scene = C.scene

""" rel = D.libraries[0].filepath.replace('//','')
parent = rel.count('..')
print('parent: ', parent)
abspath(join(dirname(D.filepath), rel)) """


## relpath

def to_abs(rfp):
    return abspath(bpy.path.abspath(rfp))

print('\n--- Cheking libraries filepath ---')
apply = False
apply = info['apply']#get it from info dic

folder = dirname(D.filepath)
for lib in D.libraries:
    libfp = lib.filepath
    if exists(to_abs(libfp)):
        print('clean :', libfp)
    else:
        print('broken:', libfp)
        pct = libfp.count('..')
        for i in range(1, pct+1):
            newrel = ('').join(libfp.split('../',i))
            if exists(to_abs(newrel)):
                print(f'found at -{i} parent folder')
                print(f'-> {newrel}')
                if apply:
                    lib.filepath = newrel
                print()
                break
            if i == pct:
                print(f'tested with {pct} folder up and nothing found')
print('Done.')

'''
## abspath technique
folder = dirname(D.filepath)
for lib in D.libraries:
    curfp = abspath(bpy.path.abspath(lib.filepath))
    if exists(curfp):
        print('clean :', lib.filepath)
    else:
        print('broken:', lib.filepath)
        pct = lib.filepath.count('..')
        print('up folder: ', pct)
        endlib = lib.filepath.lstrip(os.sep+'.')
        for i in range(1, pct+1):
            start = '/'.join(folder.split(os.sep)[:-i])
            nfp = join(start, endlib)
            if exists(nfp):
                print(f'{i} parent folder VS {pct} in current')
'''