info = {
    'icon' : 'ACTION_TWEAK',
    'description' : 'Rename selected armature actions (with name of the rig, replacing "_rig" with "_act")',
}

# coding: utf-8
import bpy
import os
from os import listdir
from os.path import join, dirname, basename, exists, isfile, isdir, splitext
import re, fnmatch, glob
from mathutils import Vector, Matrix
from math import radians, degrees
C = bpy.context
D = bpy.data
scene = C.scene

for o in C.selected_objects:
    if o.type == 'ARMATURE':
        print(o.animation_data.action.name)
        if '_rig' in o.name:
            action = o.animation_data.action
            if action.name.replace('_act','') != o.name.replace('_rig', ''):
                newname = o.name.replace('_rig', '_act')
                print(f'action rename {action.name} > {newname}')
                action.name = newname
            