info = {
    'icon' : 'OUTLINER_OB_ARMATURE',
    'description' : 'Hide/Unhide all rigs',
}

import bpy
C = bpy.context
D = bpy.data
scene = C.scene

#hide armature
hide = True

arms = [o for o in C.scene.objects if o.type == 'ARMATURE']
if arms:
    hide = not arms[0].hide_viewport

#invert of the state of the first armature found for all of them
for o in C.scene.objects:
    if o.type == 'ARMATURE':
        o.hide_viewport = hide
            